{% extends 'Default/index.html.twig' %}
{% block title %}{{ servizio.name }} - Stanza del cittadino{% endblock %}
{% set ente = instance_service.getCurrentInstance() %}
{% set logo = ente.getMetaAsArray('logo') ? ente.getMetaAsArray('logo') :  absolute_url(asset('bundles/app/images/logo-default.png')) %}
{% set metaContacts = ente.getMetaAsArray('contacts') ? ente.getMetaAsArray('contacts') : null %}

{% block head %}
  {{ parent() }}
  {{ include('Servizi/parts/_json-ld.html.twig', {'servizio':servizio}) }}
{% endblock %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('compile') }}
{% endblock %}

{% block main_content %}
  <div class="container">
    <div class="row justify-content-center mb-5">
      <div class="col-12 col-lg-10 pb-2">
        <div class="row pb-3 pb-lg-4">
          <div class="col-lg-8">
            <h1 data-element="service-title">{{ servizio.name }}</h1>
            <div class="d-flex flex-wrap my-4">
              <div>
                <a class="chip chip-simple chip-primary bg-tag text-decoration-none" href="#"  data-element="service-status">
                  <span class="chip-label" data-element="service-status">
                    {% if servizio.isActive %}{{ 'servizio.attivo' | trans }}{% else %}{{ 'servizio.non_attivo' | trans }}{% endif %}
                  </span>
                </a>
              </div>
            </div>
            <p class="small mb-3" data-element="service-description">
              {% if not servizio.shortDescription is same as(servizio.name) %}
                {{ servizio.shortDescription | abstract }}
              {% else %}
                {{ servizio.description | abstract }}
              {% endif %}
            </p>
            {# todo: usare constant() #}
            {% if not can_access %}
              <div class="alert alert-danger" role="alert">
                <i class="fa fa-times" aria-hidden="true"></i> {{ deny_access_message }}
              </div>
            {% else %}
              <div>
                <div class="mt-3">
                  <a href="{{ path('service_access', {'servizio': servizio.slug}) }}"
                     class="btn btn-primary mt-2">
                    <span>{{ handler.callToActionText|trans({'%name%':null}) }}</span>
                  </a>
                </div>
              </div>
            {% endif %}
          </div>

          <div class="col-lg-3 offset-lg-1 mt-5 mt-lg-0">
            {# Condividi #}
            {{ include('Servizi/parts/_share.html.twig', {'item': servizio, 'api_route': 'service_api_get'})}}
          </div>
        </div>
      </div>
      <hr class="col-12 d-none d-lg-block mb-0">
    </div>
  </div>
  <div class="container">
    <div class="row row-column-menu-left pb-4">
      <aside class="col-12 col-lg-3 mb-4 border-right">
        <div class="sticky-wrapper navbar-wrapper">
          <nav class="navbar it-navscroll-wrapper it-top-navscroll navbar-expand-lg">
            <button class="custom-navbar-toggler" type="button" aria-controls="navbarNav" aria-expanded="false"
                    aria-label="Toggle navigation" data-target="#navbarNav">
              <span class="it-list"></span>{{ 'servizio.indice' | trans }}
            </button>

            <div class="navbar-collapsable" id="navbarNav">
              <div class="overlay"></div>
              <div class="close-div sr-only">
                <button class="btn close-menu" type="button"><span class="it-close"></span>close</button>
              </div>
              <a class="it-back-button" href="#">
                <svg class="icon icon-sm icon-primary align-top">
                  <use href="/bootstrap-italia/dist/svg/sprite.svg#it-chevron-left"
                       xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-chevron-left"></use>
                </svg>
                <span>{{ 'servizio.torna_indietro' | trans }}</span>
              </a>
              <div class="menu-wrapper">
                <div class="link-list-wrapper menu-link-list">
                  <h3 class="no_toc">{{ 'servizio.indice' | trans }}</h3>
                  <ul class="link-list" data-element="page-index">
                    {% if not servizio.who|isEmpty %}
                      <li class="nav-item">
                          <a class="nav-link" data-focus-mouse="false"
                            href="#who"><span>{{ 'servizio.a_chi_si_rivolge' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.description|isEmpty %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                          href="#description"><span>{{ 'servizio.descrizione' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.howToDo|isEmpty %}
                      <li class="nav-item">
                          <a class="nav-link" data-focus-mouse="false"
                            href="#how-to-do"><span>{{ 'servizio.how_to_do' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.whatYouNeed|isEmpty %}
                      <li class="nav-item">
                          <a class="nav-link" data-focus-mouse="false"
                            href="#what-you-need"><span>{{ 'servizio.what_you_need' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.whatYouGet|isEmpty %}
                      <li class="nav-item">
                          <a class="nav-link" data-focus-mouse="false"
                            href="#what-you-get"><span>{{ 'servizio.what_you_get' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if servizio.timesAndDeadlines or servizio.maxResponseTime or servizio.isScheduled %}
                      <li class="nav-item">
                          <a class="nav-link" data-focus-mouse="false"
                            href="#times_and_deadlines"><span>{{ 'servizio.times_and_deadlines' | trans }}</span></a>
                      </li>
                    {% endif %}
                    <li class="nav-item">
                      <a class="nav-link" data-focus-mouse="false"
                          href="#howto"><span>{{ 'servizio.accedere' | trans }}</span></a>
                    </li>
                    {% if not servizio.conditions|isEmpty or servizio.conditionsAttachments|length > 0 %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                            href="#conditions"><span>{{ 'servizio.conditions' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.costs|isEmpty or servizio.costsAttachments|length > 0 %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                          href="#costs"><span>{{ 'servizio.costs' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.moreInfo|isEmpty %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                          href="#more_info"><span>{{ 'servizio.maggiori_info' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.constraints|isEmpty %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                          href="#constraints"><span>{{ 'servizio.constraints' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if not servizio.specialCases|isEmpty %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false"
                          href="#special_cases"><span>{{ 'servizio.casi_particolari' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {% if servizio.userGroups and servizio.userGroups|length > 0 %}
                      <li class="nav-item">
                        <a class="nav-link" data-focus-mouse="false" data-element="service-area"
                            href="#contacts"><span>{{ 'servizio.contatti' | trans }}</span></a>
                      </li>
                    {% endif %}
                    {{ include('Servizi/parts/_link_satisfy.html.twig', {'ente': ente,'landing':'false'}) }}
                  </ul>
                </div>
              </div>
            </div>
          </nav>
        </div>
      </aside>
      <div class="col-12 col-lg-8 offset-lg-1">
        <div class="it-page-sections-container">
          {% if not servizio.who|isEmpty %}
            <section class="it-page-section mb-4" id="who">
              <h2 class="title mb-3">{{ 'servizio.a_chi_si_rivolge' | trans }}</h2>
              <div class="rich-text text-serif text-paragraph">{{ servizio.who|cleanMarkup|raw }}</div>
            </section>
          {% endif %}

          {% if not servizio.description|isEmpty %}
            <section class="it-page-section mb-4" id="description">
              <h2 class="title mb-3">{{ 'servizio.descrizione' | trans }}</h2>
              <div class="rich-text text-serif text-paragraph">{{ servizio.description|cleanMarkup|raw }}</div>
            </section>
          {% endif %}

          {% if not servizio.howToDo|isEmpty %}
            <section class="it-page-section mb-4" id="how-to-do">
              <h2 class="title mb-3">{{ 'servizio.how_to_do' | trans }}</h2>
              <div class="rich-text text-serif text-paragraph">
                {{ servizio.howToDo|cleanMarkup|raw }}
              </div>
            </section>
          {% endif %}

          {% if not servizio.whatYouNeed|isEmpty %}
            <section class="it-page-section mb-4 bg-aliceblue p-3" id="what-you-need">
              <h2 class="title mb-3">{{ 'servizio.what_you_need' | trans }}</h2>
              <div class="rich-text text-serif text-paragraph">{{ servizio.whatYouNeed|cleanMarkup|raw }}</div>
            </section>
          {% endif %}

          {% if not servizio.whatYouGet|isEmpty %}
            <section class="it-page-section mb-4" id="what-you-get">
              <h2 class="title mb-3">{{ 'servizio.what_you_get' | trans }}</h2>
              <div class="rich-text text-serif text-paragraph">{{ servizio.whatYouGet|cleanMarkup|raw }}</div>
            </section>
          {% endif %}
          {% if servizio.timesAndDeadlines or servizio.maxResponseTime or servizio.isScheduled %}
            {{ include('Servizi/parts/_times_and_deadlines.html.twig', {'servizio': servizio, 'section_id': 'times_and_deadlines'})  }}
          {% endif %}
          {# Accedi al servizio #}
          <section class="it-page-section mb-4 bg-aliceblue p-4" id="howto">
            <h2 class="title mb-3">{{ 'servizio.accedere' | trans }}</h2>
            {% if not servizio.howto|isEmpty %}
              <div class="rich-text text-serif text-paragraph">
              {{ servizio.howto|cleanMarkup|raw }}
            </div>
            {% endif %}
            {% if can_access %}
              <div class="mt-3">
                  <a href="{{ path('service_access', {'servizio': servizio.slug}) }}" class="btn btn-primary mt-2">
                    <span>{{ handler.callToActionText|trans({'%name%':null}) }}</span>
                  </a>
              </div>
            {% endif %}
            {% if servizio.bookingCallToAction %}
              <div class="mt-3">
                <p class="text-serif">{{ 'servizio.book_appointment_description' | trans }}</p>
                <a href="{{ servizio.bookingCallToAction }}" class="btn btn-outline-primary bg-white" data-element="appointment-booking">
                  {{ 'servizio.book_appointment_action' | trans }}
                </a>
              </div>
            {% endif %}
          </section>
          {% if not servizio.conditions|isEmpty or servizio.conditionsAttachments|length > 0 %}
            <section class="it-page-section mb-4" id="conditions">
              <h2 class="title mb-3">{{ 'servizio.conditions' | trans }}</h2>
              <div class="rich-text text-serif text-paragraph">
              {{ servizio.conditions|cleanMarkup|raw }}
              </div>
              <div>
                {% for attachment in servizio.conditionsAttachments %}
                  {% if servizio.serviceGroup and servizio.sharedWithGroup %}
                    {{ include('Servizi/parts/panel/service_attachment.html.twig', {
                      'download_url': path('service_group_api_attachment_get', {'id': servizio.serviceGroup.id, 'attachmentType': attachment.type, 'filename': attachment.name}),
                      'attachment': attachment
                    }) }}
                  {% else %}
                    {{ include('Servizi/parts/panel/service_attachment.html.twig', {
                      'download_url': path('service_api_attachment_get', {'id': servizio.id, 'attachmentType': attachment.type, 'filename': attachment.name}),
                      'attachment': attachment
                    }) }}
                  {% endif %}
                {% endfor %}
              </div>
            </section>
          {% endif %}

          {% if not servizio.costs|isEmpty or servizio.costsAttachments|length > 0 %}
            <section class="it-page-section mb-4" id="costs">
              <h2 class="title mb-3">{{ 'servizio.costs' | trans }}</h2>
              <div class="rich-text text-serif text-paragraph">
                {{ servizio.costs|replace({'%comune%': instance_service.getCurrentInstance().name})|cleanMarkup|raw }}
              </div>
              <div>
                {% for attachment in servizio.costsAttachments %}
                  {% if servizio.serviceGroup and servizio.sharedWithGroup %}
                    {{ include('Servizi/parts/panel/service_attachment.html.twig', {
                      'download_url': path('service_group_api_attachment_get', {'id': servizio.serviceGroup.id, 'attachmentType': attachment.type, 'filename': attachment.name}),
                      'attachment': attachment
                    }) }}
                  {% else %}
                    {{ include('Servizi/parts/panel/service_attachment.html.twig', {
                      'download_url': path('service_api_attachment_get', {'id': servizio.id, 'attachmentType': attachment.type, 'filename': attachment.name}),
                      'attachment': attachment
                    }) }}
                  {% endif %}
                {% endfor %}
              </div>
            </section>
          {% endif %}

          {% if not servizio.moreInfo|isEmpty %}
            <section class="it-page-section mb-4" id="more_info">
              <h2 class="title mb-3">{{ 'servizio.maggiori_info' | trans }}</h2>
              <div class="rich-text text-serif text-paragraph">
                {{ servizio.moreInfo|replace({'%comune%': instance_service.getCurrentInstance().name})|cleanMarkup|raw }}
              </div>
            </section>
          {% endif %}
          {% if not servizio.constraints|isEmpty %}
            <section class="it-page-section mb-4" id="constraints">
              <h2 class="title mb-3">{{ 'servizio.constraints' | trans }}</h2>
              <div class="rich-text text-serif text-paragraph">
                {{ servizio.constraints|cleanMarkup|raw }}
              </div>
            </section>
          {% endif %}
          {% if not servizio.specialCases|isEmpty %}
            <section class="it-page-section mb-4" id="special_cases">
              <h2 class="title mb-3">{{ 'servizio.casi_particolari' | trans }}</h2>
              <div class="rich-text text-serif text-paragraph">
                {{ servizio.specialCases|cleanMarkup|raw }}
              </div>
            </section>
          {% endif %}

          {# Contatti #}
          <section class="it-page-section mb-4" id="contacts">
            {% if servizio.userGroups and servizio.userGroups|length > 0 %}
              {{ include('Servizi/parts/_userGroupsContacts.html.twig', {'item': servizio})}}
            {% endif %}
            <div class="col-12 mb-3">
              <span class="text-paragraph-small small">{{ 'search.topics' | trans }}:</span>
              {% if servizio.topics.name is defined %}
                <div class="d-flex flex-wrap mt-2 mb-4">
                  <div>
                    <a class="chip chip-simple chip-primary bg-tag text-decoration-none" data-element="service-topic" href="#">
                      <span class="chip-label">{{ servizio.topics.name }}</span></a>
                  </div>
                </div>
              {% endif %}
            </div>
            <p class="small mb-0">{{ 'servizio.page_updated_at' | trans({'%updatedAt%': servizio.updatedAt | format_date( locale=app.request.locale) }) }}</p>
          </section>
        </div>
      </div>
    </div>
  </div>

  {{ include('Servizi/parts/_feedback.html.twig', {'type': 'service','service_id': servizio.id})}}

  <a href="#" aria-hidden="true" data-attribute="back-to-top" class="back-to-top shadow back-to-top-show"
     aria-label="{{ 'back_to_top' | trans }}">
    <svg class="icon icon-light">
      <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-arrow-up"></use>
    </svg>
  </a>



  {{ include('Servizi/parts/_contacts.html.twig')}}

{% endblock %}
